Mangools/API

Get monitor settings

Get the current configuration of a monitor — brand name, domain, location, platform, configured AI models, language and whether email reports are enabled. Useful for populating a settings form in a client.

GET
/aiwatcher/monitor/{id}/settings

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

id*string

Monitor ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/aiwatcher/monitor/string/settings"
{
  "location_id": 0,
  "platform_id": 0,
  "brand": "string",
  "domain": "string",
  "models": [
    "string"
  ],
  "language_id": 0,
  "reports_active": true
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "Error",
    "message": "Monitor not found"
  }
}
{
  "error": {
    "type": "Error",
    "message": "Internal server error"
  }
}